%define upstream_name    JSON-PP
%define upstream_version 2.27105

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dummy module providing JSON::PP::Boolean
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is the JSON::XS manpage compatible pure Perl module. (Perl 5.8
or later is recommended)

JSON::XS is the fastest and most proper JSON module on CPAN. It is written
by Marc Lehmann in C, so must be compiled and installed in the used
environment.

JSON::PP is a pure-Perl module and has compatibility to JSON::XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man*
%perl_vendorlib/*
/usr/bin/json_pp

%changelog
* Wed Mar 09 2011 jquelin <jquelin> 2.271.50-1.mga1
+ Revision: 66989
- update to 2.27105

* Sat Feb 26 2011 jquelin <jquelin> 2.271.40-1.mga1
+ Revision: 60681
- update to 2.27104

* Fri Jan 21 2011 jquelin <jquelin> 2.271.30-1.mga1
+ Revision: 28685
- fix %%files
- mageia rebuild
- imported package perl-JSON-PP


* Sat Jan 15 2011 cpan2dist 2.27103-1mdv
- initial mdv release, generated with cpan2dist
